package media.data;

/**
 *
 * @author Attila Bertók (BEALAGT.ELTE)
 */
public class DVD extends AMedia {
    // private properties
    protected String director;

    // default constructor
    private DVD() {
        super();
        this.director = "[No director set]";
    } // private Book() default constructor

    // constructor
    public DVD(final String title, final int copies, final String director) {
        this.title = title;
        this.copies = copies;
        this.director = director;
    } // public DVD() constructor


    // public accessors
    public String getDirector() {
        return this.director;
    } // public String getDirector()

    public String setDirector(final String director) {
        this.director = director;
        return this.director;
    } // public String setDirector()

    // toString method
    @Override
    public String toString() {
        String retVal = "@DVD: ";
        retVal += this.director + ": " + this.title;
        retVal += " (" + this.copies + ")";
        return retVal;
    } // public String toString()
} // public class DVD
