package media.data;

/**
 *
 * @author Attila Bertók (BEALAGT.ELTE)
 */
public class Book extends AMedia {
    // private properties
    protected String author;

    // default constructor
    private Book() {
        super();
        this.author = "[No author set]";
    } // private Book() default constructor

    // constructor
    public Book(final String title, final int copies, final String author) {
        this.title = title;
        this.copies = copies;
        this.author = author;
    } // public Book() constructor

    // public accessors
    public String getAuthor() {
        return this.author;
    } // public String getAuthor()

    public String setAuthor(final String author) {
        this.author = author;
        return this.author;
    } // public String setAuthor()

    // toString method
    @Override
    public String toString() {
        String retVal = "@Book: ";
        retVal += this.author + ": " + this.title;
        retVal += " (" + this.copies + ")";
        return retVal;
    } // public String toString()
} // public class Book
