package media.data;

/**
 *
 * @author Attila Bertók (BEALAGT.ELTE)
 */
public class Newspaper extends AMedia {
    // private properties
    protected String editor;

    // default constructor
    private Newspaper() {
        super();
        this.editor = "[No editor set]";
    } // private Newspaper() default constructor

    // constructor
    public Newspaper(final String title, final int copies, final String editor) {
        this.title = title;
        this.copies = copies;
        this.editor = editor;
    } // public Newspaper() constructor

    // public accessors
    public String getEditor() {
        return this.editor;
    } // public String getEditor()

    public String setEditor(final String editor) {
        this.editor = editor;
        return this.editor;
    } // public String setEditor()

    // toString method
    @Override
    public String toString() {
        String retVal = "@Newspaper: ";
        retVal += this.editor + ": " + this.title;
        retVal += " (" + this.copies + ")";
        return retVal;
    } // public String toString()
} // public class Newspaper
